Can't install with pip?



  • I've been trying to install Google Assistant gRPC, but I keep getting this error when running pip install --upgrade google-assistant-grpc

     Command "/usr/bin/python -u -c "import setuptools, tokenize;__file__='/tmp/pip-build-
     epHKfa/grpcio/setup.py';f=getattr(tokenize, 'open', open)(__file__);code=f.read().replace('\r\n', 
     '\n');f.close();exec(compile(code, __file__, 'exec'))" install --record /tmp/pip-qwptyY-record/install-record.txt --single-
     version-externally-managed --compile" failed with error code 1 in /tmp/pip-build-epHKfa/grpcio/
    

    https://pypi.python.org/pypi/google-assistant-grpc

    How do I fix this?



  • @Kemal-Ficici after doing a google search on the error string it looks like one of the dependencies for grpc is grpcio , which interestingly enough is were the error comes from. so the problem seems to be grpcio . any number of things could be happening , perhaps a version mismatch. in situations like this google is your friend. others before you have seen the same error string you might learn from reading about their experiences.



  • @Douglas-Kryder Ok, thanks for the help!



  • @Kemal-Ficici
    Can't install Google Assistant gRPC library for Python - maybe it would be the right title of your post.

    BTW what do you think about this:

    Google Assistant library for Python

    The Google Assistant library for Python is a turnkey solution for anyone who wants to quickly integrate the Assistant into a prototype device. The library is written in Python and is supported on devices with linux-armv7l and linux-x86_64 architectures (like the Raspberry Pi 3 B and Ubuntu desktops).

    / Google Assistant SDK /



Looks like your connection to Onion Community was lost, please wait while we try to reconnect.